News

Support for MT4 builds below 745 to be discontinued

Please note that as of Friday 22nd May 2015 MetaQuotes will no longer support MetaTrader client terminal builds lower than 745. If you are using a build lower than 745, there will be a mandatory update.

To check the current version number, open MetaTrader and go to “Help” then click “About”. The current version number will be in the lower left of the “About” box.

To update the software, simply restart the MetaTrader platform. The Live Update box will appear. Click “Start” to download and install the update. After the software is updated, you will be prompted to restart the software.

The software must be updated to avoid disruption in trading.

Please do not hesitate to contact our Client Services team via email at clientservices@ICMCapital.co.uk. in case of any query which may occur during the bank holiday weekend. A team member will get back to you during office hours on 26th May 2015.

Wish you all the best with your trading!

CFDs and Spot FX are complex instruments and come with a high risk of losing money rapidly due to leverage. 77.81% of retail investor accounts lose money when trading CFDs with this provider. You should consider whether you understand how CFDs and Spot FX work, and whether you can afford to take the high risk of losing your money. Read More
Read More
Mail Call Chat